ActionMapping (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionMapping

    java.lang.Object
      org.apache.struts.config.BaseConfig
          org.apache.struts.config.ActionConfig
              org.apache.struts.action.ActionMapping

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  RequestActionMapping, SessionActionMapping

    public class ActionMapping

extends ActionConfig

An ActionMapping represents the information that the controller, `RequestProcessor`, knows about the mapping of a particular request to an instance of a particular `Action` class. The `ActionMapping` instance used to select a particular `Action` is passed on to that `Action`, thereby providing access to any custom configuration information included with the `ActionMapping` object.

Since Struts 1.1 this class extends `ActionConfig`.

NOTE - This class would have been deprecated and replaced by `org.apache.struts.config.ActionConfig` except for the fact that it is part of the public API that existing applications are using.

Version:
  $Rev: 471754 $ $Date: 2005-08-26 21:58:39 -0400 (Fri, 26 Aug 2005) $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.config.ActionConfig
`actionId, attribute, cancellable, catalog, command, exceptions, extensionProcessed, forward, forwards, include, inherit, input, moduleConfig, multipartClass, name, parameter, path, prefix, roleNames, roles, scope, suffix, type, unknown, validate`

Fields inherited from class org.apache.struts.config.BaseConfig
`configured`

Constructor Summary
`ActionMapping()`

Method Summary
`ActionForward` | `findForward(String forwardName)` Find and return the `ForwardConfig` instance defining how forwarding to the specified logical name should be handled.
`String[]` | `findForwards()` Return the logical names of all locally defined forwards for this mapping.
`ActionForward` | `getInputForward()` Create (if necessary) and return an `ActionForward` that corresponds to the `input` property of this Action.

Methods inherited from class org.apache.struts.config.ActionConfig
`addExceptionConfig, addForwardConfig, checkCircularInheritance, findException, findExceptionConfig, findExceptionConfigs, findForwardConfig, findForwardConfigs, freeze, getActionId, getAttribute, getCancellable, getCatalog, getCommand, getExtends, getForward, getInclude, getInput, getModuleConfig, getMultipartClass, getName, getParameter, getPath, getPrefix, getRoleNames, getRoles, getScope, getSuffix, getType, getUnknown, getValidate, inheritExceptionHandlers, inheritForwards, inheritFrom, isExtensionProcessed, processExtends, removeExceptionConfig, removeForwardConfig, setActionId, setAttribute, setCancellable, setCatalog, setCommand, setExtends, setForward, setInclude, setInput, setModuleConfig, setMultipartClass, setName, setParameter, setPath, setPrefix, setRoles, setScope, setSuffix, setType, setUnknown, setValidate, toString`

Methods inherited from class org.apache.struts.config.BaseConfig
`copyProperties, getProperties, getProperty, inheritProperties, setProperties, setProperty, throwIfConfigured`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionMapping

    public ActionMapping()

Method Detail

### findForward

    public ActionForward findForward(String forwardName)

  Find and return the `ForwardConfig` instance defining how forwarding to the specified logical name should be handled. This is performed by checking local and then global configurations for the specified forwarding configuration. If no forwarding configuration can be found, return `null`.

  Parameters:
    `forwardName` - Logical name of the forwarding instance to be returned
  Returns:
    The local or global forward with the specified name.

### findForwards

    public String[] findForwards()

  Return the logical names of all locally defined forwards for this mapping. If there are no such forwards, a zero-length array is returned.

  Returns:
    The forward names for this action mapping.

### getInputForward

    public ActionForward getInputForward()

  Create (if necessary) and return an `ActionForward` that corresponds to the `input` property of this Action.

  Returns:
    The input forward for this action mapping.
  Since:
    Struts 1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.